Gecode::Int::ViewValGraph::ValNode< View > Class Template Reference

Value nodes in view-value graph. More...

`#include <view-val-graph.hh>`

## Public Member Functions

| ValNode (int v)
| Initialize with value v.
| ValNode (int v, ValNode< View > *n)
| Initialize with value v and successor n.
int | val (void) const
| Return value of node.
void | matching (Edge< View > *m)
| Set matching edge to m.
Edge< View > * | matching (void) const
| Return matching edge (NULL if unmatched).
ValNode< View > ** | next_val_ref (void)
| Return pointer to next value node fields.
ValNode< View > * | next_val (void) const
| Return next value node.
void | next_val (ValNode< View > *v)
| Set next value node to v.
Public Member Functions inherited from Gecode::Int::ViewValGraph::Node< View >
| Node (void)
| Initialize.
Edge< View > * | edge_fst (void) const
| Return first edge (organized by bi-links).
Edge< View > * | edge_lst (void) const
| Return last edge (organized by bi-links).
Public Member Functions inherited from Gecode::Int::ViewValGraph::BiLink
| BiLink (void)
| Initialize as empty (self referenced).
BiLink * | prev (void) const
| Return previous element.
BiLink * | next (void) const
| Return next element.
void | prev (BiLink *l)
| Set previous element to l.
void | next (BiLink *l)
| Set next element to l.
void | add (BiLink *l)
| Add l after this element.
void | unlink (void)
| Unlink this element.
void | mark (void)
| Mark element (invalidates next element pointer).
bool | marked (void) const
| Whether element is marked.
bool | empty (void) const
| Whether element has no previous and next element.

## Protected Attributes

const int | _val
| The value of the node.
Edge< View > * | _matching
| The matching edge.
ValNode< View > * | _next_val
| The next value node.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Int::ViewValGraph::Node< View >
static void * | operator new (size_t, Space &)
| Allocate memory from space.
static void | operator delete (void *, size_t)
| Needed for exceptions.
static void | operator delete (void *, Space &)
| Needed for exceptions.
Public Attributes inherited from Gecode::Int::ViewValGraph::Node< View >
Edge< View > * | iter
| Next edge for computing strongly connected components.
unsigned int | low
| Values for computing strongly connected components.
unsigned int | min
unsigned int | comp

## Detailed Description

template<class View>
class Gecode::Int::ViewValGraph::ValNode< View >

Value nodes in view-value graph.

Definition at line 142 of file view-val-graph.hh.

## Constructor & Destructor Documentation

## ValNode() [1/2]

template<class View>

Gecode::Int::ViewValGraph::ValNode< View >::ValNode | ( | int | v | ) |

inline

Initialize with value v.

Definition at line 76 of file node.hpp.

## ValNode() [2/2]

template<class View>

Gecode::Int::ViewValGraph::ValNode< View >::ValNode | ( | int | v,
|  | ValNode< View > * | n )

inline

Initialize with value v and successor n.

Definition at line 80 of file node.hpp.

## Member Function Documentation

## val()

template<class View>

int Gecode::Int::ViewValGraph::ValNode< View >::val | ( | void |  | ) | const

inline

Return value of node.

Definition at line 84 of file node.hpp.

## matching() [1/2]

template<class View>

void Gecode::Int::ViewValGraph::ValNode< View >::matching | ( | Edge< View > * | m | ) |

inline

Set matching edge to m.

Definition at line 89 of file node.hpp.

## matching() [2/2]

template<class View>

Edge< View > * Gecode::Int::ViewValGraph::ValNode< View >::matching | ( | void |  | ) | const

inline

Return matching edge (NULL if unmatched).

Definition at line 94 of file node.hpp.

## next_val_ref()

template<class View>

ValNode< View > ** Gecode::Int::ViewValGraph::ValNode< View >::next_val_ref | ( | void |  | ) |

inline

Return pointer to next value node fields.

Definition at line 99 of file node.hpp.

## next_val() [1/2]

template<class View>

ValNode< View > * Gecode::Int::ViewValGraph::ValNode< View >::next_val | ( | void |  | ) | const

inline

Return next value node.

Definition at line 104 of file node.hpp.

## next_val() [2/2]

template<class View>

void Gecode::Int::ViewValGraph::ValNode< View >::next_val | ( | ValNode< View > * | v | ) |

inline

Set next value node to v.

Definition at line 109 of file node.hpp.

## Member Data Documentation

## _val

template<class View>

const int Gecode::Int::ViewValGraph::ValNode< View >::_val

protected

The value of the node.

Definition at line 145 of file view-val-graph.hh.

## _matching

template<class View>

Edge<View>* Gecode::Int::ViewValGraph::ValNode< View >::_matching

protected

The matching edge.

Definition at line 147 of file view-val-graph.hh.

## _next_val

template<class View>

ValNode<View>* Gecode::Int::ViewValGraph::ValNode< View >::_next_val

protected

The next value node.

Definition at line 149 of file view-val-graph.hh.

The documentation for this class was generated from the following files:

- gecode/int/view-val-graph.hh
- gecode/int/view-val-graph/node.hpp